import java.awt.*;
import java.awt.event.*;

import javax.swing.JFrame;

public class MouseEventWinEx02 extends JFrame {
	private static final long serialVersionUID = 1L;

	MouseEventWinEx02 childWin = null;
	static int countChild;
	
	public MouseEventWinEx02() {		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(300, 150);
		setVisible(true);
		
		//register mouse event handler, motion event handler
		addMouseListener(new myMouseAdapter());		 
	}
	
	class myMouseAdapter extends MouseAdapter {
		public void mousePressed(MouseEvent e) {
			Rectangle bounds = getBounds();
			int x = e.getX() + bounds.x;
			int y = e.getY() + bounds.y;
			
			if (childWin == null) 
				childWin = new MouseEventWinEx02();
			childWin.setLocation(x, y);
			childWin.setTitle(++countChild + "'th child window");
			childWin.setSize(getSize().width/2, getSize().height/2);
			childWin.setVisible(true);    
		}
		public void mouseReleased(MouseEvent e) {
			if (childWin != null) childWin.setVisible(false);    
		}
	}
	
	public static void main(String [] args) {
		MouseEventWinEx02 myWin = new MouseEventWinEx02();
		myWin.setTitle("Frame Window");		
	}
}
