package socket;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.Socket;
import java.util.Scanner;

public class MyClientSocket {
	Socket socket;
	BufferedReader in;
	PrintWriter out;
	
	public MyClientSocket (String ip, int port) {
		try {
			socket = new Socket(ip, port);
			
			// Ͽ Ʈ 
			in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			out = new PrintWriter(new OutputStreamWriter(socket.getOutputStream()));
			printInfo();
		} catch (IOException e) {
			System.out.println(e.toString());			
		}
	}

	public void receive() {
		try {
			// κ  ޽ ȭ鿡 
			System.out.println("[] "+ in.readLine());		
		} catch (IOException e) {
			System.out.println(e.toString());			
		}
	}
	
	public void send(String msg) {
		// Ͽ ޽ 
		out.println(msg);
		out.flush();
		System.out.println("[Ŭ̾Ʈ] " + msg);		
	}
	
	public void close() {
		try {
			// Ŭ̾Ʈ  
			socket.close();		
		} catch(IOException e) {
			System.out.println(e.toString());
		}
	}

	public void printInfo() {
		System.out.println(">>  ӿ ߽ϴ.");
		// Ʈ ȣ Ŭ̾Ʈ ּҿ Ʈȣ 
		System.out.println("      ּ: " + socket.getInetAddress());
		System.out.println("      Ʈȣ: " + socket.getPort());
		System.out.println("     ŬƮ Ʈȣ: " + socket.getLocalPort() + '\n');
	}
	
	public static void main(String[] args) {
		// ּҿ Ʈȣ Ͽ  
		MyClientSocket client = new MyClientSocket("127.0.0.1", 7070); 
		
		System.out.print("  ޽ Է >> ");
		Scanner s = new Scanner(System.in);
		String msg = s.nextLine();
		client.send(msg);
		client.receive();
		client.close();
	}
}