import java.util.Random;

class BankAccount {
	int balance = 0;

	public void withdraw(int money) {
		if (money > 0 && balance >= money) {
			try {
				Thread.sleep(100);
			} catch (InterruptedException e) {
				System.err.println(e);
			}
			balance -= money;
			/*
			try {
				Thread.sleep(50);
			} catch (InterruptedException e) {
				System.err.println(e);
			}
			*/
			System.out.printf("%d Ͽ ܰ %dԴϴ. %n", money, balance);
		} else if (balance < money)
			System.out.println("ܰ Ͽ   ϴ.");
	}

	public void deposit(int money) {
		if (money > 0) {
			balance += money;
			System.out.printf("%d ԱϿ ܰ %dԴϴ. %n", money, balance);
		}
	}
}

public class SyncTest implements Runnable {
	BankAccount act = new BankAccount();

	public void run() {
		while (true) {
			int amount = new Random().nextInt(10000);
			amount = amount%10 * 1000;
			System.out.printf("[%s] ݾ=%d %n", Thread.currentThread().getName(), amount);
			act.deposit(amount);
			act.withdraw(amount*2);
			if (act.balance < 0) {
				System.out.printf("[%s] ", Thread.currentThread().getName());
				System.out.println("ܰ: " + act.balance + " =>  ");
				return;
			}
		}
	}
	
	public static void main(String[] args){
		Runnable r = new SyncTest();
		new Thread(r).start();
		new Thread(r).start();
	}
}
