package wait;

import java.util.Random;

class BankAccount {
	int balance = 0;
	int diff = 0;

	public synchronized void withdraw(int money) {
		if (money < 0) {
			System.out.println(" ݾ ߸ƽϴ.");
			return;
		}
		int count = 0;
		while (balance < money) {
			System.out.printf("[%s] ", Thread.currentThread().getName());
			//  ܱ Ͽ ޼ҵ 
			if (++count > 3) {
				System.out.println("ܾ Ͽ ó ϰ մϴ.");
				return;
			}

			System.out.printf("%16s", "wait(1000) ȣ: ");
			System.out.printf("䱸ݾ=%6d, balance=%6d %n", money, balance);
			try {
				// wait();
				wait(1000);
			} catch (InterruptedException e) {
				System.err.println(e);
			}
		}
		System.out.printf("[%s] ", Thread.currentThread().getName());
		balance -= money;
		System.out.printf(" %12s ݾ=%6d, balance=%6d %n", " ó:",
				money, balance);
	}

	public synchronized void deposit(int money) {
		if (money < 0) {
			System.out.println("Ա ݾ ߸ƽϴ.");
			return;
		}
		balance += money;
		System.out.printf("[%s] ", Thread.currentThread().getName());
		System.out.printf("%16s", "notify() ȣ: ");
		System.out.printf("Աݱݾ=%6d, balance=%6d %n", money, balance);
		// notify();
		notifyAll();
	}
}

public class SyncTest implements Runnable {
	BankAccount act = new BankAccount();

	public void run() {
		for (int i = 1; i < 3; i++) {
			int amount = (int) (new Random().nextDouble() * 5 + 1) * 10000;
			act.deposit(amount);
			amount = (int) (new Random().nextDouble() * 5 + 1) * 10000;
			act.withdraw(amount);
		}
	}

	public static void main(String[] args) {
		Runnable r = new SyncTest();
		new Thread(r).start();
		new Thread(r).start();
	}
}