package component;

import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class DialpadWin extends JFrame {
	private static final long serialVersionUID = 1L;
	private JButton b1, b2, b3, b4;
	private JButton bA, bB, bC;

	public DialpadWin(String title) {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);	
		setSize(400, 300);
		setTitle(title);
		setLayout(new BorderLayout(10, 5));
		
		// ư  ޼ҵ ȣ
		makeUpButton();
		//ϴ ư  ޼ҵ ȣ
		makeDownButton();
		//߾ ̾ ư  ޼ҵ ȣ
		makeCenter();
		
		setVisible(true);	
	}

	//Űе, ֱٱ, ã, ó 
	private void makeUpButton() {
		//г uUp 4 ư 
		JPanel pUp = new JPanel();
		pUp.setLayout(new GridLayout(1, 4));
		b1 = new JButton("Űе");
		b2 = new JButton("ֱٱ");
		b3 = new JButton("ܪO");
		b4 = new JButton("ó");
		pUp.add(b1); pUp.add(b2); pUp.add(b3); pUp.add(b4);
		
		//г pDown  ϴܿ 
		add(pUp, "North");   
	}
	
	private void makeDownButton() { 
		//ȣ, ⸦ ġ г 
		JPanel pRdown = new JPanel();
		pRdown.setLayout(new GridLayout(1, 2));
		bB = new JButton("");
		bC = new JButton("");
		pRdown.add(bB); pRdown.add(bC);
		
		//ȭɱ  pRdown г pDown 
		JPanel pDown = new JPanel();
		pDown.setLayout(new GridLayout(1, 2));
		bA = new JButton("ȭɱ");	
		pDown.add(bA); pDown.add(pRdown);
		
		//г pDown  ϴܿ 
		add(pDown, BorderLayout.SOUTH);		
	}

	private void makeCenter() {
		//г pDial ȭȣ ̾ 
		JPanel pDial = new JPanel();
		pDial.setLayout(new GridLayout(4, 3, 8, 3));
		pDial.add(new JButton("1")); pDial.add(new JButton("2")); pDial.add(new JButton("3"));
		pDial.add(new JButton("4")); pDial.add(new JButton("5")); pDial.add(new JButton("6"));
		pDial.add(new JButton("7")); pDial.add(new JButton("8")); pDial.add(new JButton("9"));
		pDial.add(new JButton("*")); pDial.add(new JButton("0")); pDial.add(new JButton("#"));
		
		// ߾ӿ  г pCenter Ͽ  
		JPanel pCenter = new JPanel();
		pCenter.setLayout(new BorderLayout(5, 8));
		//г pCenter ܿ ȭΰ Էµ ؽƮʵ带 
		pCenter.add(new JTextField(), BorderLayout.NORTH);
		//г pCenter ߾ӿ ̾ ư ִ pDial 
		pCenter.add(pDial, BorderLayout.CENTER);		
		
		//г pCenter  ߾ӿ 
		add(pCenter, BorderLayout.CENTER);		
	}
	
	public static void main(String[] args) {
		DialpadWin win = new DialpadWin("̾ е");		
	}	
}
