package graphics;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Insets;

import javax.swing.ImageIcon;
import javax.swing.JFrame;

public class DrawImageWin extends JFrame {
	private static final long serialVersionUID = 1L;

	Image img;
	Insets in;
	
	public DrawImageWin() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		ImageIcon imgIco = new ImageIcon("image.png");
		img = imgIco.getImage();
		setSize(350, 250);
		setVisible(true);
		
		in = getInsets();
		System.out.println(in.top + " " + in.bottom + " " + in.left + " " + in.right);
	}
	
	public void paint(Graphics g) {
		//int origWidth = img.getWidth(this);
		//int origHeight = img.getHeight(this);
		int space = 10;
		int imgWidth = this.getWidth()-in.left-in.right-2*space;
		int imgHeight = this.getHeight()-in.top-in.bottom-2*space;
		
		g.drawImage(img, in.left + space, in.top + space, imgWidth, imgHeight, this);
	}
	
	public static void main(String[] args) {
		new DrawImageWin().setTitle(" ׸ ó");
	}
}
